Bug 1186755 - Review Request: dap2rpm - Tool for generating RPM specfiles for DevAssistant DAP packages
Summary: Review Request: dap2rpm - Tool for generating RPM specfiles for DevAssistant ...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Igor Gnatenko
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1186748
TreeView+ depends on / blocked
 
Reported: 2015-01-28 13:37 UTC by Tomas Radej
Modified: 2015-03-31 21:47 UTC (History)
2 users (show)

Fixed In Version: dap2rpm-0.1.8-1.fc21
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2015-03-31 21:37:27 UTC
Type: ---
ignatenko: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Tomas Radej 2015-01-28 13:37:43 UTC
Spec URL: https://tradej.fedorapeople.org/reviews/dap2rpm/dap2rpm.spec
SRPM URL: https://tradej.fedorapeople.org/reviews/dap2rpm/dap2rpm-0.1.7-1.fc21.src.rpm
Description: Tool for generating RPM specfiles for DevAssistant DAP packages. Python libraries are located in the packages python-dap2rpm and python3-dap2rpm.

Fedora Account System Username: tradej

Comment 1 Igor Gnatenko 2015-01-28 13:45:54 UTC
use CFLAGS="%{optflags}" instead of CFLAGS="$RPM_OPT_FLAGS"

Other looks good to me

Comment 3 Igor Gnatenko 2015-01-28 14:41:59 UTC
Fix issue with fullstops when import package.

looks like fedora-review broken in rawhide, but I've checked all things.

APPROVED.

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed


Issues:
=======
- remove "." in all Summary tags

===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: License field in the package spec file matches the actual license.
     Note: Checking patched sources after %prep for licenses. Licenses found:
     "Unknown or generated". 10 files have unknown license. Detailed output of
     licensecheck in /home/brain/1186755-dap2rpm/licensecheck.txt
[x]: License file installed when any subpackage combination is installed.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Sources contain only permissible code or content.
[x]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package uses nothing in %doc for runtime.
[x]: Package consistently uses macros (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Package is not known to require an ExcludeArch tag.
     Note: Test run failed
[x]: Large documentation must go in a -doc subpackage. Large could be size
     (~1MB) or number of files.
     Note: Test run failed
[x]: Packages must not store files under /srv, /opt or /usr/local
     Note: Test run failed
[x]: Package complies to the Packaging Guidelines
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: Package requires other packages for directories it uses.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Package uses either %{buildroot} or $RPM_BUILD_ROOT
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.

Python:
[x]: Binary eggs must be removed in %prep
     Note: Test run failed
[x]: Python eggs must not download any dependencies during the build process.
     Note: Test run failed
[x]: A package which is used by another package via an egg interface should
     provide egg info.
     Note: Test run failed
[x]: Package meets the Packaging Guidelines::Python
     Note: Test run failed
[x]: Package contains BR: python2-devel or python3-devel

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[x]: Fully versioned dependency in subpackages if applicable.
     Note: No Requires: %{name}%{?_isa} = %{version}-%{release} in python-
     dap2rpm , python3-dap2rpm
[x]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[-]: %check is present and all tests pass.
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present (not strictly required in GL).
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define unless justified.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
     Note: Test run failed
[x]: Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: dap2rpm-0.1.7-2.fc22.noarch.rpm
          python-dap2rpm-0.1.7-2.fc22.noarch.rpm
          python3-dap2rpm-0.1.7-2.fc22.noarch.rpm
          dap2rpm-0.1.7-2.fc22.src.rpm
dap2rpm.noarch: W: spelling-error Summary(en_US) specfiles -> spec files, spec-files, specifiable
dap2rpm.noarch: W: summary-ended-with-dot C Tool for generating RPM specfiles for DevAssistant DAP packages.
dap2rpm.noarch: W: spelling-error %description -l en_US specfiles -> spec files, spec-files, specifiable
dap2rpm.noarch: W: no-manual-page-for-binary dap2rpm
python-dap2rpm.noarch: W: spelling-error Summary(en_US) specfiles -> spec files, spec-files, specifiable
python-dap2rpm.noarch: W: summary-ended-with-dot C Python 2 library for generating RPM specfiles for DevAssistant DAP packages.
python-dap2rpm.noarch: W: spelling-error %description -l en_US specfiles -> spec files, spec-files, specifiable
python3-dap2rpm.noarch: W: spelling-error Summary(en_US) specfiles -> spec files, spec-files, specifiable
python3-dap2rpm.noarch: W: summary-ended-with-dot C Python 3 library for generating RPM specfiles for DevAssistant DAP packages.
python3-dap2rpm.noarch: W: spelling-error %description -l en_US specfiles -> spec files, spec-files, specifiable
dap2rpm.src: W: spelling-error Summary(en_US) specfiles -> spec files, spec-files, specifiable
dap2rpm.src: W: summary-ended-with-dot C Tool for generating RPM specfiles for DevAssistant DAP packages.
dap2rpm.src: W: spelling-error %description -l en_US specfiles -> spec files, spec-files, specifiable
4 packages and 0 specfiles checked; 0 errors, 13 warnings.




Rpmlint (installed packages)
----------------------------
Cannot parse rpmlint output:


Requires
--------
python-dap2rpm (rpmlib, GLIBC filtered):
    PyYAML
    python(abi)
    python-jinja2
    python-requests
    rpmdevtools

python3-dap2rpm (rpmlib, GLIBC filtered):
    python(abi)
    python3-PyYAML
    python3-jinja2
    python3-requests
    rpmdevtools

dap2rpm (rpmlib, GLIBC filtered):
    /usr/bin/python3
    python3-dap2rpm
    rpmdevtools



Provides
--------
python-dap2rpm:
    python-dap2rpm

python3-dap2rpm:
    python3-dap2rpm

dap2rpm:
    dap2rpm



Source checksums
----------------
https://pypi.python.org/packages/source/d/dap2rpm/dap2rpm-0.1.7.tar.gz :
  CHECKSUM(SHA256) this package     : d39b29d851eb2719d81818bf0d2e5974df2387615bde7f7de505d43a9915f139
  CHECKSUM(SHA256) upstream package : d39b29d851eb2719d81818bf0d2e5974df2387615bde7f7de505d43a9915f139


Generated by fedora-review 0.5.2 (63c24cb) last change: 2014-07-14
Command line :/usr/bin/fedora-review -b 1186755
Buildroot used: fedora-rawhide-x86_64
Active plugins: Python, Generic, Shell-api
Disabled plugins: Java, C/C++, fonts, SugarActivity, Ocaml, Perl, Haskell, R, PHP, Ruby
Disabled flags: EXARCH, EPEL5, BATCH, DISTTAG

Comment 4 Tomas Radej 2015-01-28 14:53:35 UTC
New Package SCM Request
=======================
Package Name: dap2rpm
Short Description: Tool for generating RPM specfiles for DevAssistant DAP packages.
Upstream URL: http://pypi.python.org/pypi/dap2rpm
Owners: bkabrda mhroncok
Branches: f21
InitialCC:

Comment 5 Gwyn Ciesla 2015-01-28 19:41:55 UTC
mhroncok is not a member of the packager group.

Comment 6 Tomas Radej 2015-01-29 08:51:22 UTC
New Package SCM Request
=======================
Package Name: dap2rpm
Short Description: Tool for generating RPM specfiles for DevAssistant DAP packages.
Upstream URL: http://pypi.python.org/pypi/dap2rpm
Owners: bkabrda
Branches: f21
InitialCC:

Comment 7 Gwyn Ciesla 2015-01-29 14:38:29 UTC
Git done (by process-git-requests).

Comment 8 Fedora Update System 2015-01-29 16:36:36 UTC
dap2rpm-0.1.7-2.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dap2rpm-0.1.7-2.fc21

Comment 9 Fedora Update System 2015-01-30 04:45:27 UTC
dap2rpm-0.1.7-2.fc21 has been pushed to the Fedora 21 testing repository.

Comment 10 Fedora Update System 2015-03-11 10:01:45 UTC
dap2rpm-0.1.8-1.fc22 has been submitted as an update for Fedora 22.
https://admin.fedoraproject.org/updates/dap2rpm-0.1.8-1.fc22

Comment 11 Fedora Update System 2015-03-11 10:01:50 UTC
dap2rpm-0.1.8-1.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/dap2rpm-0.1.8-1.fc21

Comment 12 Fedora Update System 2015-03-31 21:37:27 UTC
dap2rpm-0.1.8-1.fc22 has been pushed to the Fedora 22 stable repository.

Comment 13 Fedora Update System 2015-03-31 21:47:01 UTC
dap2rpm-0.1.8-1.fc21 has been pushed to the Fedora 21 stable repository.


Note You need to log in before you can comment on or make changes to this bug.